%global shortname common

Name:           jgoodies-common
Version:        1.8.1
Release:        %mkrel 7
Summary:        Common library shared by JGoodies libraries and applications

Group:          Development/Java
License:        BSD
URL:            https://www.jgoodies.com/
Source0:        https://www.jgoodies.com/download/libraries/%{shortname}/%{name}-%(tr "." "_" <<<%{version}).zip

# fontconfig and DejaVu fonts needed for tests
BuildRequires:  fonts-ttf-dejavu
BuildRequires:  fontconfig
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

%description
The JGoodies Common library provides convenience code for other JGoodies
libraries and applications.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%autosetup

# Unzip source and test files from provided JARs
mkdir -p src/main/java/ src/test/java/
pushd src/main/java/
jar -xf ../../../%{name}-%{version}-sources.jar
popd
pushd src/test/java/
jar -xf ../../../%{name}-%{version}-tests.jar
popd

# Delete prebuild JARs
find -name "*.jar" -exec rm {} \;

# Remove DOS line endings
for file in LICENSE.txt RELEASE-NOTES.txt; do
  sed 's|\r||g' $file > $file.new && \
  touch -r $file $file.new && \
  mv $file.new $file
done

# remove unnecessary dependency on parent POM
%pom_remove_parent

%mvn_file :%{name} %{name} %{name}

# Fix source/target version for JDK 17
%pom_xpath_set "pom:plugin[pom:artifactId='maven-compiler-plugin']/pom:configuration/pom:source" "1.8"
%pom_xpath_set "pom:plugin[pom:artifactId='maven-compiler-plugin']/pom:configuration/pom:target" "1.8"


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%doc README.html RELEASE-NOTES.txt
%license LICENSE.txt


%files javadoc -f .mfiles-javadoc



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.8.1-7.mga10
+ Revision: 2223432
- Mageia 10 Mass Rebuild

* Fri May 24 2024 ns80 <ns80> 1.8.1-6.mga10
+ Revision: 2067197
- rebuild for java 21

* Wed Jan 04 2023 daviddavid <daviddavid> 1.8.1-5.mga9
+ Revision: 1929919
- Remove unnecessary dependency on parent POM

* Thu Mar 31 2022 umeabot <umeabot> 1.8.1-4.mga9
+ Revision: 1836527
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.8.1-3.mga8
+ Revision: 1501825
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.8.1-2.mga7
+ Revision: 1278937
- Mageia 7 Mass Rebuild

* Fri Mar 30 2018 daviddavid <daviddavid> 1.8.1-1.mga7
+ Revision: 1213591
- Update to 1.8.1

* Fri May 19 2017 neoclust <neoclust> 1.8.0-3.mga6
+ Revision: 1103314
- Fix BuildRequires
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 1.8.0-1.mga6
+ Revision: 980728
- First rebuild of the java stack
- sync package jgoodies-common with fedora (update to 1.8.0)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-4.mga5
+ Revision: 751115
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 542010
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 dmorgan <dmorgan> 1.6.0-1.mga4
+ Revision: 496686
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.2.1-3.mga3
+ Revision: 355378
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 fwang <fwang> 1.2.1-2.mga3
+ Revision: 331460
- revert to 1.2.1
- new version 1.4.0

* Fri Oct 21 2011 gil <gil> 1.2.1-1.mga2
+ Revision: 157170
- imported package jgoodies-common

